/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\greater\apocalyptica.cs
Lines of code: 53

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class apocalyptica : Bow
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public apocalyptica() : base()
		{
			Name="Apocalyptica";
			Hue=1194;
			
			
			switch(Utility.Random(3))
			{
			case 0:WeaponAttributes.HitMagicArrow= 25;break;
			case 1:WeaponAttributes.HitFireball = 25;break;
			case 2: WeaponAttributes.HitLightning = 25;break;
			}
			
			WeaponAttributes.HitDispel = 100;		
			
			Attributes.SpellChanneling = 1;
			Attributes.WeaponSpeed=60;
			Attributes.WeaponDamage=-10;
			Attributes.SpellDamage=8;
			Attributes.BonusMana=15;
			Attributes.RegenMana=2;
		
			AosElementDamages.Physical=20;
			AosElementDamages.Fire=20;
			AosElementDamages.Cold=20;
			AosElementDamages.Poison=20;
			AosElementDamages.Energy=20;
			AosElementDamages.Chaos=0;		
		}
		
		//damage types
	/*	public override void GetDamageTypes( Mobile wielder, out int phys, out int fire, out int cold, out int pois, out int nrgy,out int chaos )
		{
			phys = 20;
			fire = 20;
			pois = 20;
			cold = 20;
			nrgy = 20;
			chaos = 0;
		}*/
		

		public apocalyptica( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		
		public override void OnAfterLoad()
		{
			Item i = Activator.CreateInstance( Misc.TreasuresOfFelucca.m_GreaterArtifacts[Utility.Random( Misc.TreasuresOfFelucca.m_GreaterArtifacts.Length )] ) as Item;			
			
			
			Misc.ObjectConverter.ConvertItem(this,i);
		}
	}
	
}